<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin.php                                                ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");

	check_admin_security();

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_href_encode", urlencode("admin.php"));
	$t->set_var("admin_orders_href", "admin_orders.php");

	$t->set_var("admin_global_settings_href", "admin_global_settings.php");
	$t->set_var("admin_registration_href", "admin_registration.php");
	$t->set_var("admin_shipping_types_href", "admin_shipping_types.php");
	$t->set_var("admin_settings_list_href", "admin_settings_list.php");
	$t->set_var("admin_layout_header_href", "admin_layout_header.php");
	$t->set_var("admin_order_info_href", "admin_order_info.php");
	$t->set_var("admin_order_statuses_href", "admin_order_statuses.php");

	$t->set_var("admin_credit_card_info_href", "admin_credit_card_info.php");
	$t->set_var("admin_order_confirmation_href", "admin_order_confirmation.php");
	$t->set_var("admin_order_final_href", "admin_order_final.php");

	$t->set_var("admin_support_settings_href", "admin_support_settings.php");
	$t->set_var("admin_support_priorities_href", "admin_support_priorities.php");
	$t->set_var("admin_support_statuses_href", "admin_support_statuses.php");
	$t->set_var("admin_support_products_href", "admin_support_products.php");
	$t->set_var("admin_support_types_href", "admin_support_types.php");

	$t->set_var("admin_support_settings_href", "admin_support_settings.php");
	$t->set_var("admin_support_departments_href", "admin_support_departments.php");
	$t->set_var("admin_support_predefined_href", "admin_support_predefined.php");
	$t->set_var("admin_support_admins_href", "admin_support_admins.php");
	$t->set_var("admin_support_static_tables_href", "admin_support_static_tables.php");
	
	$t->set_var("admin_forum_settings_href", "admin_forum_settings.php");
	$t->set_var("admin_items_list_href", "admin_items_list.php");
	$t->set_var("admin_layouts_href", "admin_layouts.php");
	$t->set_var("admin_custom_blocks_href", "admin_custom_blocks.php");

	$t->set_var("admin_payment_systems_href", "admin_payment_systems.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_events_href", "admin_events.php");
	$t->set_var("admin_pages_href", "admin_pages.php");

	$t->set_var("admin_reviews_href", "admin_reviews.php");
	$t->set_var("admin_faqs_href", "admin_faqs.php");
	$t->set_var("admin_support_href", "admin_support.php");
	$t->set_var("admin_news_href", "admin_news.php");
	$t->set_var("admin_forum_href", "admin_forum.php");

	$t->set_var("admin_users_href", "admin_users.php");
	$t->set_var("admin_admins_href", "admin_admins.php");
	$t->set_var("admin_privileges_href", "admin_privileges.php");

	$version_type = defined("VERSION_TYPE") ? VERSION_TYPE : "standard";

	switch ($version_type) {
		case "enterprise":
			$admin_blocks = array(
				"products_categories",
				"sales_orders",
				"layouts",
				"support",
				"forum",
				"site_settings",
			);
			break;
		case "standard":
			$admin_blocks = array(
				"products_categories",
				"sales_orders",
				"layouts",
				"site_settings",
			);
			break;
		case "light":
			$admin_blocks = array(
				"products_categories",
				"sales_orders",
				"site_settings",
			);
			break;
		default:
			$admin_blocks = array(
				"products_categories",
				"sales_orders",
				"layouts",
				"site_settings",
			);
	} 

	for($i = 0; $i < sizeof($admin_blocks); $i++) {
		$t->set_var($admin_blocks[$i], "");
	}

	$blocks_permissions = array();
	$sql  = " SELECT block_name, permission FROM " . $table_prefix . "admin_privileges_settings ";
	$sql .= " WHERE privilege_id=" . $db->tosql(get_session("session_admin_privilege_id"), INTEGER);
	$db->query($sql);
	while ($db->next_record())
	{
		$block_name = $db->f("block_name");
		$permission = $db->f("permission");
		$blocks_permissions[$block_name] = $permission;
	} 

	$block_number = 0;
	for($i = 0; $i < sizeof($admin_blocks); $i++) {
		$block_name = $admin_blocks[$i];
		$permission = $blocks_permissions[$block_name];
		if($permission) {
			$block_number++;
			$t->parse($block_name, false);
			$t->parse("cols", true);
			$t->set_var($block_name, "");
			if($block_number % 2 == 0) {
				$t->parse("rows", true);
				$t->set_var("cols", "");
			}
		}
	}
	if($block_number > 0 && $block_number % 2 != 0) {
		$t->parse("rows", true);
	}

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>