<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_faqs.php                                           ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	check_admin_security("faq");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_faqs.html");

	$t->set_var("admin_faq_href", "admin_faq.php");
	$t->set_var("admin_faqs_href", "admin_faqs.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_faqs.php");
	$s->set_sorter("ID", "sorter_faq_id", "1", "faq_id");
	$s->set_sorter("Order", "sorter_faq_order", "2", "faq_order");
	$s->set_sorter("Question", "sorter_question", "3", "question");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_faqs.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "faq");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "faq " . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do
		{
			$t->set_var("faq_id", $db->f("faq_id"));
			$t->set_var("faq_order", $db->f("faq_order"));
			$t->set_var("question", $db->f("question"));
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

?>