<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  articles_upload.php                                      ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");

	check_admin_security("articles_categories");

	 $t = new VA_Template($settings["admin_templates_dir"]);
  	$t->set_file("main","articles_upload.html");

	$t->set_var("articles_select_href", "articles_select.php");
	$t->set_var("articles_upload_href", "articles_upload.php");

	$filetype = get_param("filetype");
	$operation = get_param("operation");

	$errors = "";

	if($operation == "1")
	{
		if($HTTP_POST_FILES["newfile"]["tmp_name"] == "none" || !strlen($HTTP_POST_FILES["newfile"]["tmp_name"]))
			$errors = "Please select file";

		if(!strlen($errors))
		{
			if($filetype == "image_small")
				$filepath = "../images/small/";
			else if($filetype == "image_large")
				$filepath = "../images/big/";
			else if($filetype == "category_small" || $filetype == "category_large")
				$filepath = "../images/categories/";
			else if($filetype == "document")
				$filepath = "../images/documents/";
			else
				$filepath = "../images/";

			$filename = $HTTP_POST_FILES["newfile"]["name"];
			$tmp_name = $HTTP_POST_FILES["newfile"]["tmp_name"];
			
			if(file_exists($filepath . $filename))
			{
				$errors = "File with such name already exists";
			}
			else
			{
				if(!copy($tmp_name, $filepath . $filename))
					$errors = "System can't create the file";
				else
					$t->set_var("filename", $filename);
			}
		}
	}

	if(strlen($errors))
	{
		$t->set_var("after_upload", "");
		$t->set_var("errors_list", $errors);
		$t->parse("errors", false);
	}
	else
	{
		$t->set_var("errors", "");
	}

	$t->set_var("filetype", $filetype);

	if($operation == "1" && !strlen($errors))
	{
		$t->set_var("before_upload", "");
		$t->parse("after_upload", false);
	}
	else
	{
		$t->parse("before_upload", false);
		$t->set_var("after_upload", "");
	}



	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");


?>