<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  block_category_description.php                           ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


function category_description($block_name)
{
	global $t;
	global $db, $table_prefix;
	global $category_id;
	global $page_settings;

	if(get_setting_value($page_settings, $block_name . "_column_hide", 0)) {
		return;
	}

	if(!isset($category_id) || !strlen($category_id)) { $category_id = get_param("category_id"); }

	$search_category_id = get_param("search_category_id");
	$search_string = get_param("search_string");
	$is_search = strlen($search_string);
  
	if($is_search) $category_id = $search_category_id;
	if(!strlen($category_id)) $category_id = "0";


	$sql  = " SELECT category_name,full_description FROM " . $table_prefix . "categories WHERE category_id = " . $db->tosql($category_id, INTEGER);
	$db->query($sql);
	if($db->next_record() && $db->f("full_description"))
	{
	  $t->set_file("block_body", "block_category_description.html");

		$t->set_var("CATEGORIES_TITLE", CATEGORIES_TITLE);
		$t->set_var("MORE_MSG",         MORE_MSG);
		$t->set_var("READ_MORE_MSG",    READ_MORE_MSG);
		$t->set_var("CLICK_HERE_MSG",   CLICK_HERE_MSG);
		$t->set_var("TOP_CATEGORY_MSG", TOP_CATEGORY_MSG);

		$t->set_var("category_name", $db->f("category_name"));
		$t->set_var("full_description", $db->f("full_description"));

		$t->parse("block_body", false);
		$t->parse($block_name, true);
	}

}

?>