<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_custom_block.php                                   ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("layouts");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_custom_block.html");

	$admin_custom_blocks_url = new VA_URL("admin_custom_blocks.php", false);
	$admin_custom_blocks_url->add_parameter("sort_ord", REQUEST, "sort_ord");
	$admin_custom_blocks_url->add_parameter("sort_dir", REQUEST, "sort_dir");
	$admin_custom_blocks_url->add_parameter("page", REQUEST, "page");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_custom_blocks_href", "admin_custom_blocks.php");
	$t->set_var("admin_custom_block_href", "admin_custom_block.php");
	$t->set_var("admin_custom_blocks_url", $admin_custom_blocks_url->get_url());

	$r = new VA_Record($table_prefix . "custom_blocks");
	$r->return_page = "admin_custom_blocks.php";

	$r->add_where("block_id", INTEGER);
	$r->add_textbox("block_title", TEXT, "Block Title");
	$r->add_textbox("block_desc", TEXT, "Block Text");
	$r->parameters["block_desc"][REQUIRED] = true;
	$r->add_hidden("sort_ord", TEXT);
	$r->add_hidden("sort_dir", TEXT);

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>