<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_events.php                                         ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("events");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_events.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_event_href", "admin_event.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_events.php");
	$s->set_default_sorting(3, "desc");
	$s->set_sorter("ID", "sorter_event_id", "1", "event_id");
	$s->set_sorter("Event Title", "sorter_event_title", "2", "event_title");
	$s->set_sorter("Event Date", "sorter_event_date", "3", "event_date");
	$s->set_sorter("Show on Site", "sorter_is_showing", "4", "is_showing");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_events.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "events");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "events " . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do
		{
			$t->set_var("event_id", $db->f("event_id"));
			$t->set_var("event_title", $db->f("event_title"));
			$event_date = $db->f("event_date", DATETIME);
			$t->set_var("event_date", va_date($date_show_format, $event_date));

			$is_showing = $db->f("is_showing") ? "Yes" : "No";
			$t->set_var("is_showing", $is_showing);
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>