<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_payment_systems.php                                ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	check_admin_security("payment_systems");

	$operation = get_param("operation");
	$payment_id = get_param("payment_id");
	
	if($operation == "active" && $payment_id) {
		$sql  = " SELECT payment_id FROM " . $table_prefix . "payment_systems ";
		$sql .= " WHERE payment_id=" . $db->tosql($payment_id, INTEGER);
		$db->query($sql);
		if($db->next_record()) {
			$sql = "DELETE FROM " . $table_prefix . "global_settings WHERE setting_type='global' AND setting_name='payment_id' ";
			$db->query($sql);
			$sql  = "INSERT INTO " . $table_prefix . "global_settings (setting_type, setting_name, setting_value) VALUES (";
			$sql .= "'global', 'payment_id'," . $db->tosql($payment_id, TEXT) . ")";
			$db->query($sql);
			$settings["payment_id"] = $payment_id;
			set_session("session_settings", $settings);
		}
	}

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_payment_systems.html");

	$t->set_var("admin_payment_system_href", "admin_payment_system.php");
	$t->set_var("admin_main", "admin.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_payment_systems.php");
	$s->set_sorter("ID", "sorter_payment_id", "1", "payment_id");
	$s->set_sorter("System Name", "sorter_payment_name", "2", "payment_name");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_payment_systems.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "payment_systems");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "payment_systems " . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do
		{
			$payment_id = $db->f("payment_id");
			$active = ($payment_id == $settings["payment_id"]) ? "<b>Yes</b>" : "No";
			$t->set_var("payment_id", $payment_id);
			$t->set_var("payment_name", $db->f("payment_name"));
			$t->set_var("active", $active);
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

?>