<?

	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	check_admin_security("support");

//	$is_popup = get_param("is_popup");
  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_support_predefined.html");

	$t->set_var("admin_support_href", "admin_support.php");
	$t->set_var("admin_support_predefined_href", "admin_support_predefined.php");
	$t->set_var("admin_support_predefined_edit_href", "admin_support_predefined_edit.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_support_predefined.php");
	$s->set_sorter("Reply ID", "sorter_reply_id", "1", "reply_id");
	$s->set_sorter("Subject", "sorter_subject", "2", "subject");
	$s->set_sorter("Reply Type", "sorter_type", "2", "reply_type");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_support_types.php");

	$is_popup = get_param("is_popup");
	$t->set_var("is_popup",$is_popup);

	if (!strlen($is_popup)) { 						
//   		$t->set_var("closebutton",""); 
//		$t->parse("use_this",false);
		include("./admin_header.php");
		include("./admin_footer.php");

	}	
  	else {
// 		$t->parse("closebutton",false);
//	   	$t->set_var("use_this",""); 
  	}	


	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "support_types");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = get_param("q") > 0 ? get_param("q") : 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "support_predefined" . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do {
			$t->set_var("reply_id", $db->f("reply_id"));
			$t->set_var("subject", $db->f("subject"));
			$t->set_var("reply_type", $db->f("reply_type"));
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

//---------------------------------------------------
/*
	$t = new iTemplate("./templates");
 	include("./includes/support_layout.php"); 
	$t->set_file("main","support_predefined.html");

	$sql = "SELECT DISTINCT reply_type FROM support_predefined";
	$db->query($sql);
	if($db->next_record())
	{
		do
		{
			$t->set_var("reply_type",$db->Record["reply_type"]);
			$t->parse("reply_types",true);
		}
		while ($db->next_record());
	}
	else $t->set_var("reply_types","");

	$t->set_var("is_popup",$is_popup);

  if (!strlen($is_popup)) { 						
   	$t->set_var("closebutton",""); 
		$t->parse("use_this",false);
  }	
  else {
 		$t->parse("closebutton",false);
   	$t->set_var("use_this",""); 
  }

	if (get_param("operation"))	{
		$sql = " SELECT subject, body, is_autoresponse FROM support_predefined";
		$sql .=" WHERE email_id = " . $db->tosql($email_id, INTEGER);
		$db->query($sql);
		if ($db->next_record())	
		{
 			$subject = str_replace("\r\n","\\n", $db->f("subject"));
 			$subject = str_replace("\"","&quot;",$subject);
 			$body = str_replace("\r\n","\\n", $db->f("body"));
 			$body = str_replace("\"","&quot;",$body);
			$t->set_var("subject",$subject);
			$t->set_var("body",$body);
		}
		$t->parse("closewindow",true);
	}
	else {
		$t->set_var("closewindow","");
	}

	$db->query("SELECT user_level_id FROM support_users WHERE user_id=".$db->tosql($user_id,INTEGER));
	$db->next_record();
	$user_level_id = $db->f("user_level_id");

	$last_type = "";
	$sql = "SELECT * FROM support_predefined ORDER BY reply_type";
	$db->query($sql);
	if ($db->next_record())
	{
		do
		{
			$reply_type = $db->Record["reply_type"];

		  	if($db->f("is_autoresponse")) {
 				$t->parse("autoresponse",false);
		  	} else {
 				$t->set_var("autoresponse","&nbsp;");
			}
  			$t->set_var($db->Record);

		  	if (strlen($is_popup)) 
		  	{
				$reply_text = $db->Record["body"];
				if (strlen($reply_text) > 500) $reply_text = substr($reply_text,0,500);
				$t->set_var("reply_text",htmlspecialchars($reply_text));

				$t->parse("use_this",false);
		  	}	
		  	else {
		   		$t->set_var("use_this","<td>&nbsp;</td><td>&nbsp;</td>"); 
		  	}
	  		if ($user_level_id != '0') {
			  $t->parse("editable",false);
			  $t->parse("add_new",false); 
			} else {
				$t->set_var("editable","<td colspan=3></td>");
				$t->set_var("add_new","<td colspan=6></td>");
			}

			//-- reply_type
			if ($reply_type == $last_type)
			{
				$t->set_var("blkType","");
			}
			else 
			{
				$last_type = $reply_type;
				$t->parse("blkType",false);
			}

			$t->parse("emails", true);
		}
		while ($db->next_record());
	}
	else $t->set_var("emails","<tr><td colspan='7'>No predefined replies specified</td>");

	if(!strlen($is_popup)){
  	$t->pparse("header"); 
  }
	$t->pparse("main");
	if(!strlen($is_popup)){
  	$t->pparse("footer");
  } 
*/

?>