<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  block_events.php                                         ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


function events($block_name)
{
	global $t;
	global $db, $table_prefix;
	global $page_settings;
	global $date_show_format;

	if(get_setting_value($page_settings, $block_name . "_column_hide", 0)) {
		return;
	}

	$t->set_file("block_body", "block_events.html");
	$t->set_var("event_href", "event.php");
	$t->set_var("EVENTS_TITLE",   EVENTS_TITLE);
	$t->set_var("MORE_MSG",         MORE_MSG);
	$t->set_var("READ_MORE_MSG",  READ_MORE_MSG);
	$t->set_var("CLICK_HERE_MSG", CLICK_HERE_MSG);

	$sql  = " SELECT event_id, event_title,event_date,preview_text ";
	$sql .= " FROM " . $table_prefix . "events e ";
	$sql .= " WHERE is_showing=1 AND show_on_index=1 ";
	$sql .= " ORDER BY event_date DESC ";

	$db->query($sql);
	if($db->next_record())
	{
		do
		{
			$t->set_var("event_id", $db->f("event_id"));
			$t->set_var("event_title", $db->f("event_title"));
			$t->set_var("preview_text", $db->f("preview_text"));
			$event_date = $db->f("event_date", DATETIME);
			$t->set_var("event_date", va_date($date_show_format, $event_date));

			$t->parse("events");
		} while ($db->next_record());              	
		$t->parse("block_body", false);
		$t->parse($block_name, true);
	}

}

?>