<?

function search_form($block_name)
{
	global $t;
	global $db, $table_prefix;
	global $category_id;
	global $page_settings;

	if(get_setting_value($page_settings, $block_name . "_column_hide", 0)) {
		return;
	}

	if($block_name) {
		$t->set_file("block_body", "block_search.html");
	}
	$t->set_var("products_href", "products.php");
	$t->set_var("SEARCH_TITLE", SEARCH_TITLE);
	$t->set_var("GO_BUTTON",    GO_BUTTON);
	$t->set_var("SEARCH_BUTTON",SEARCH_BUTTON);

	if(!isset($category_id) || !strlen($category_id)) { $category_id = get_param("category_id"); }

	$search_category_id = get_param("search_category_id");
	$search_string = get_param("search_string");
	$is_search = strlen($search_string);
  
	if($is_search) $category_id = $search_category_id;
	if(!strlen($category_id)) $category_id = "0";

	$search_categories[] = array("", "All Products");
  
	if($category_id != 0) {
		$search_categories[] = array($category_id, "Current Category");
	}

	$sql  = " SELECT category_id,category_name ";
	$sql .= " FROM " . $table_prefix . "categories WHERE parent_category_id = " . $db->tosql($category_id, INTEGER);
	$sql .= " ORDER BY category_order ";
	$db->query($sql);
	while ($db->next_record())
	{
		$show_category_id  = $db->f("category_id");
		$category_name  = $db->f("category_name");
		$search_categories[] = array($show_category_id, $category_name);
	}

	// set up search form parameters
	set_options($search_categories, $search_category_id, "search_category_id");
	$t->set_var("search_string", $search_string);
	$t->set_var("current_category_id", $category_id);

	if($block_name) {
		$t->parse("block_body", false);
		$t->parse($block_name, true);
	}

}

?>