<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  event.php                                                ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include("./includes/date_functions.php");

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","event.html");
	$t->set_var("EVENTS_TITLE", EVENTS_TITLE);
	$t->set_var("BACK_BUTTON",  BACK_BUTTON);
	$t->set_var("NO_EVENTS_MSG", NO_EVENTS_MSG);

	$rp = get_param("rp");
	$page_number = get_param("page");

	if(!strlen($rp)) $rp = "events.php";
	$t->set_var("back_href", $rp);
	$t->set_var("page", $page_number);

	$event_id = get_param("event_id");
	if(strlen($event_id))
	{
		$sql = "SELECT * FROM " . $table_prefix . "events WHERE is_showing=1 AND event_id=" . $db->tosql($event_id, INTEGER);
		$db->query($sql);
		if($db->next_record())
		{
			$t->set_var("event_title", $db->f("event_title"));
			$event_date = $db->f("event_date", DATETIME);
			$t->set_var("event_date", va_date($date_show_format, $event_date));

			$is_html = $db->f("is_html");
			$event_body = $db->f("event_body");
			$event_body = $is_html ? $event_body : "<div align=\"justify\">" . nl2br(htmlspecialchars($event_body)) . "</div>";
			$t->set_var("event_body", $event_body);			

		}
		else
		{
			$error_string = "<div align=\"center\"><font color=\"red\"><b>" . NO_EVENTS_MSG . "</b></font></div>";
			$t->set_var("event_title", "");
			$t->set_var("event_body", $error_string);
		}
	}
	else
	{
		$error_string = "<font color=\"red\"><b>" . NO_EVENTS_MSG . "</b></font><br>";
		$t->set_var("event_title", "");
		$t->set_var("event_body", $error_string);
	}


	include("./header.php");
	include("./footer.php");

	$t->pparse("main");

?>