<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  order_final.php                                          ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include("./includes/record.php");
	include("./includes/shopping_cart.php");
	include("./includes/order_items.php");
	include("./includes/date_functions.php");
	include("./includes/parameters.php");
	include_once ("./messages/".$language_code."/cart_messages.php");

	set_session("shopping_cart", "");

	$order_errors = check_order(false);

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","order_final.html");
	$t->set_var("site_url", $settings["site_url"]);
	$t->set_var("order_final", "order_final.php");
	$t->set_var("CHECKOUT_FINAL_TITLE", CHECKOUT_FINAL_TITLE);     
	$t->set_var("CHECKOUT_SUCCESS_MSG", CHECKOUT_SUCCESS_MSG);     
	$t->set_var("CHECKOUT_ERROR_MSG",   CHECKOUT_ERROR_MSG);     
	$t->set_var("CHECKOUT_ERROR_MSG",   CHECKOUT_ERROR_MSG);     

	if($order_errors) {
		$t->set_var("success_message", "");

		$t->set_var("errors_list", $order_errors);
		$t->parse("failure_message", false);
	} else {
		$t->set_var("errors", "");
		$t->set_var("failure_message", "");

		$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='order_info'";
		$db->query($sql);
		while($db->next_record()) {
			$order_info[$db->f("setting_name")] = $db->f("setting_value");
		}

		$sql  = " SELECT setting_value FROM " . $table_prefix . "global_settings ";
		$sql .= " WHERE setting_type='order_final' ";
		$sql .= " AND setting_name='final_message' ";
		$final_message = get_db_value($sql);
		$t->set_block("final_message", $final_message);

		$order_id = get_param("order_id");
		$r = new VA_Record($table_prefix . "orders");
		$r->add_where("order_id", INTEGER);
		$r->set_value("order_id", $order_id);
		$r->change_property("order_id", USE_IN_SELECT, true);
		for($i = 0; $i < sizeof($parameters); $i++) {                                    
			$r->add_textbox($parameters[$i], TEXT);
			$r->add_textbox("delivery_" . $parameters[$i], TEXT);
		}
		$r->get_db_values();
		$r->set_parameters();

		$t->parse("final_message", false);
		$t->parse("success_message", false);
	}

	include("./header.php");
	include("./footer.php");

	$t->pparse("main");

?>