<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  select_date_format.php                                   ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


  session_start();

	include_once ("./includes/constants.php");
	include_once ("./includes/common_functions.php");
	$language_code = get_language("messages.php");
	include_once ("./messages/".$language_code."/messages.php");
	include_once ("./messages/".$language_code."/install_messages.php");
	include_once ("./includes/date_functions.php");
	include_once ("./includes/record.php");
	include_once ("./includes/template.php");

	$t = new VA_Template("./templates/default/");
  $t->set_file("main", "select_date_format.html");
	$t->set_var("SELECT_DATE_TITLE",SELECT_DATE_TITLE);
	$t->set_var("SELECT_MSG",       SELECT_MSG);
	$t->set_var("CLOSE_WINDOW_MSG", CLOSE_WINDOW_MSG);
	$t->set_var("DATE_FORMAT_COLUMN", DATE_FORMAT_COLUMN);
	$t->set_var("CURRENT_DATE_COLUMN", CURRENT_DATE_COLUMN);
	$t->set_var("NO_DATE_FORMATS_MSG", NO_DATE_FORMATS_MSG);

	//$t->set_var("admin_upload_href", "admin_upload.php");

	$format_type = get_param("format_type");
	$operation = get_param("operation");

	$t->set_var("format_type", $format_type);


	if ($format_type == "datetime_show") {
		$date_formats = array (
			array("M/D/YY h:mm AM",        date("n/j/y g:i A") ),
			array("D MMM YYYY, h:mm AM",   date("j M Y, g:i A") ),
			array("YYYY, D MMMM, h:mm AM", date("Y, j F, g:i A") ),
			array("DD/MM/YYYY HH:mm",      date("d/m/Y H:i") ),
			array("DD.MM.YY H:mm",         date("d.m.y G:i") ),
			array("DD-MM-YY H:mm",         date("d-m-y G:i") ),
			array("YYYY-MM-DD HH:mm",      date("Y-m-d H:i") ),
		);
	} else if ($format_type == "date_show") {
		$date_formats = array (
			array("M/D/YY",       date("n/j/y") ),
			array("D MMM YYYY",   date("j M Y") ),
			array("YYYY, D MMMM", date("Y, j F")),
			array("DD/MM/YYYY",   date("d/m/Y") ),
			array("DD.MM.YYYY",   date("d.m.Y") ),
			array("DD-MM-YY",     date("d-m-y") ),
			array("YYYY-MM-DD",   date("Y-m-d") ),
		);
	} else if ($format_type == "datetime_edit") {
		$date_formats = array (
			array("M/D/YY H:mm",         date("n/j/y G:i") ),
			array("DD/MM/YYYY HH:mm",    date("d/m/Y H:i") ),
			array("DD.MM.YY H:mm",       date("d.m.y G:i") ),
			array("YYYY-MM-DD HH:mm:ss", date("Y-m-d H:i:s") ),
		);
	} else if ($format_type == "date_edit") {
		$date_formats = array (
			array("M/D/YY",     date("n/j/y") ),
			array("DD/MM/YYYY", date("d/m/Y") ),
			array("DD.MM.YYYY", date("d.m.Y") ),
			array("YYYY-MM-DD", date("Y-m-d") ),
		);
	} 

	$formats_number = isset($date_formats) ? sizeof($date_formats) : 0;
	if($formats_number)
	{
		for($i = 0; $i < sizeof($date_formats); $i++)
		{
			$t->set_var("date_format", htmlspecialchars($date_formats[$i][0]));
			$t->set_var("current_date", $date_formats[$i][1]);
			$t->parse("format_row", true);
		}

		$t->set_var("no_formats", "");
		$t->parse("formats", false);

	}
	else
	{
		$t->parse("no_formats", false);
		$t->set_var("formats", "");
	}


	$t->pparse("main");

?>